Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 485868 - sci-geosciences/qgis-2.12 version bump
Summary: sci-geosciences/qgis-2.12 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords:
: 502150 511998 515832 528220 (view as bug list)
Depends on: 483074
Blocks:
  Show dependency tree
 
Reported: 2013-09-24 15:37 UTC by Jean-Claude Repetto
Modified: 2015-12-28 19:59 UTC (History)
12 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log,6.55 KB, text/x-log)
2013-10-08 09:46 UTC, Paul McDermott
Details
build log, fails without qscintilla (build.log,6.47 KB, text/x-log)
2014-11-23 05:29 UTC, Jeremy Murphy
Details
Ebuild for QGIS 2.6.1 (qgis-2.6.1.ebuild,3.71 KB, text/plain)
2014-12-12 17:11 UTC, Dave Favis-Mortlock
Details
Patch for "QtCore/QtCoremod.sip" problem (qgis-2.4.0-FindPyQt.patch,2.07 KB, patch)
2014-12-12 17:12 UTC, Dave Favis-Mortlock
Details | Diff
ebuild for 2.10.1 (qgis-2.10.1.ebuild,2.58 KB, text/plain)
2015-10-06 05:39 UTC, Oleh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Claude Repetto 2013-09-24 15:37:23 UTC
QGIS 2.0.1 ("Dufour") has been released. See:
http://lists.osgeo.org/pipermail/qgis-user/2013-September/023958.html

BTW, its name has changed from "Quantum GIS" to "QGIS".

Reproducible: Always
Comment 1 Egor Y. Egorov 2013-09-26 09:39:39 UTC
Please, test ebuild from rion-overlay
https://code.google.com/p/rion-overlay/source/detail?r=95b5db2d76a3e41cc5ccea84af60b6cacf0fe45c
Comment 2 Jaska K 2013-09-26 10:39:50 UTC
(In reply to Egor Y. Egorov from comment #1)

sci-geosciences/qgis-2.0.1 was built with the following:
USE="grass gsl postgres python spatialite -examples -gps -test" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6"

Great, Qgis 2.0.1 is now running, at least I'm able to view spatialite db...
Comment 3 Jean-Claude Repetto 2013-09-26 12:34:45 UTC
This ebuild fails on my PC :

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QWTPOLAR_INCLUDE_DIR
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.0.1/work/qgis-2.0.1/src/app
QWTPOLAR_LIBRARY
    linked by target "qgis" in directory /var/tmp/portage/sci-geosciences/qgis-2.0.1/work/qgis-2.0.1/src/app


I think this is because qwtpolar is needed, and the dependance to qwtpolar has been commented out in the ebuild.
BTW, QGIS should now be compatible with qwtpolar-1.0 .
Comment 4 Egor Y. Egorov 2013-09-26 14:50:03 UTC
(In reply to Jean-Claude Repetto from comment #3)
> This ebuild fails on my PC :
> 
> CMake Error: The following variables are used in this project, but they are
> set to NOTFOUND.
> Please set them or make sure they are set and tested correctly in the CMake
> files:
> QWTPOLAR_INCLUDE_DIR
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.0.1/work/qgis-2.0.1/src/app
> QWTPOLAR_LIBRARY
>     linked by target "qgis" in directory
> /var/tmp/portage/sci-geosciences/qgis-2.0.1/work/qgis-2.0.1/src/app
> 
> 
> I think this is because qwtpolar is needed, and the dependance to qwtpolar
> has been commented out in the ebuild.
> BTW, QGIS should now be compatible with qwtpolar-1.0 .

Thanks for testing. 
Which version x11-libs/qwt you have installed? 
QGIS required Qwt >= 5.0 & (< 6.1 with internal QwtPolar) for build. I will test it soon.
Comment 5 Jean-Claude Repetto 2013-09-26 16:08:13 UTC
I have installed qwt-5.2.1.

After manual installation of qwtpolar-0.1.0-r1, I can compile and install QGIS 2.0.1.
Comment 6 Egor Y. Egorov 2013-09-27 05:14:56 UTC
(In reply to Jean-Claude Repetto from comment #5)
> I have installed qwt-5.2.1.
> 
> After manual installation of qwtpolar-0.1.0-r1, I can compile and install
> QGIS 2.0.1.

Please test. Should be compiled with every version qwtpolar
https://code.google.com/p/rion-overlay/source/detail?r=3dafba7559ebb5bba190c4887f47bd0dee9d96c0
Comment 7 Jaska K 2013-09-27 08:16:45 UTC
Is GdalTools plugin a plugin that come with QGIS installation? How to fix this?

"Unable to load GdalTools plugin. The required "osgeo [python-gdal]" module is missing. Install it and try again."
Comment 8 Egor Y. Egorov 2013-09-27 09:21:55 UTC
(In reply to Jaska K from comment #7)
> Is GdalTools plugin a plugin that come with QGIS installation? How to fix
> this?
> 
> "Unable to load GdalTools plugin. The required "osgeo [python-gdal]" module
> is missing. Install it and try again."

Please show
emerge -pv sci-libs/gdal
Comment 9 Jaska K 2013-09-27 09:31:24 UTC
[ebuild   R   ~] sci-libs/gdal-1.10.0-r1  USE="aux_xml curl ecwj2k geos gif gml jpeg jpeg2k netcdf opencl perl png postgres python spatialite sqlite threads xls -armadillo -debug -doc -fits -hdf5 -java -mdb -mysql -odbc -ogdi -pdf -ruby" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Also:
/etc/portage/package.keywords:12:sci-libs/gdal ~amd64
Comment 10 Egor Y. Egorov 2013-09-27 09:45:01 UTC
(In reply to Jaska K from comment #9)
> [ebuild   R   ~] sci-libs/gdal-1.10.0-r1  USE="aux_xml curl ecwj2k geos gif
> gml jpeg jpeg2k netcdf opencl perl png postgres python spatialite sqlite
> threads xls -armadillo -debug -doc -fits -hdf5 -java -mdb -mysql -odbc -ogdi
> -pdf -ruby" 0 kB
> 
> Total: 1 package (1 reinstall), Size of downloads: 0 kB
> 
> Also:
> /etc/portage/package.keywords:12:sci-libs/gdal ~amd64

Hmmm. In my case plugin is loaded. How to I can check work of this module?
Comment 11 Jaska K 2013-09-27 09:55:11 UTC
(In reply to Egor Y. Egorov from comment #10)

> Hmmm. In my case plugin is loaded. How to I can check work of this module?

Does this help?

http://docs.qgis.org/2.0/html/en/docs/user_manual/plugins/plugins_gdaltools.html
Comment 13 Egor Y. Egorov 2013-09-27 10:11:39 UTC
(In reply to Jaska K from comment #11)
> (In reply to Egor Y. Egorov from comment #10)
> 
> > Hmmm. In my case plugin is loaded. How to I can check work of this module?
> 
> Does this help?
> 
> http://docs.qgis.org/2.0/html/en/docs/user_manual/plugins/plugins_gdaltools.
> html

Thanks. I'll see.
Comment 14 Jaska K 2013-09-30 06:35:55 UTC
I just noticed that Processing plugin (Spatial data processing framework for QGIS) also requires a missing module: osgeo

Installed version: 1.1 (in /usr/share/qgis/python/plugins/processing)
Comment 15 Egor Y. Egorov 2013-09-30 06:47:14 UTC
In my case all work fine:

localhost qgis # qfile /usr/lib64/python2.7/site-packages/osgeo
sci-libs/gdal (/usr/lib64/python2.7/site-packages/osgeo)
localhost qgis # emerge -pv gdal

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] sci-libs/gdal-1.10.0-r1  USE="aux_xml geos gif hdf5 jpeg mysql odbc pdf png postgres python sqlite threads -armadillo -curl -debug -doc -ecwj2k -fits -gml -java -jpeg2k -mdb -netcdf -ogdi -opencl -perl -ruby -spatialite -xls" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
localhost qgis #
Comment 16 Jaska K 2013-09-30 08:26:44 UTC
(In reply to Egor Y. Egorov from comment #15)
> In my case all work fine:

Hm!? Is this something to related python settings?

eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *
Comment 17 Egor Y. Egorov 2013-09-30 08:34:45 UTC
Python2.7 was selected when building QGIS. But after toggle python to 3.2 QGIS working fine.
Comment 18 Egor Y. Egorov 2013-09-30 08:37:07 UTC
Can you please rebuild qgis? I pushed to rion-overlay ebuild with some depends changed today.
Comment 19 Egor Y. Egorov 2013-09-30 08:39:05 UTC
@python Please, test subj
Comment 20 Jaska K 2013-09-30 09:01:05 UTC
Well, I switched to python 2.7, recompiled GDAL at first and then Qgis. Now plugins are ok!

Note: I did not yet tried your last dependen chages you pushed to rion-overlay!
Comment 21 Egor Y. Egorov 2013-09-30 09:03:43 UTC
Thanks for testing. I'll try to fix this soon.
Comment 22 Paul McDermott 2013-10-08 09:46:09 UTC
Created attachment 360402 [details]
Build log

Doesn't work for me on x86. Complains about the setting of the SPATIALITE_INCLUDE_DIR variable, which is set to NOTFOUND. I have the USE flag for spatialite *off*, so spatialite is not on my system. See the attached build log.
Comment 23 Paul McDermott 2013-10-08 09:46:22 UTC
Doesn't work for me on x86. Complains about the setting of the SPATIALITE_INCLUDE_DIR variable, which is set to NOTFOUND. I have the USE flag for spatialite *off*, so spatialite is not on my system. See the attached build log.
Comment 24 Paul McDermott 2013-10-08 10:21:39 UTC
Doing USE='spatialite' emerge -auvD qgis gets around the problem in comment 23, so it looks like an issue with the handling of the spatialite USE flag.
Comment 25 Egor Y. Egorov 2013-10-08 11:03:30 UTC
Please update rion-overlay and try again. I force use internal spatilite if USE=-statialite.
Unfortunately, I do not know how to build qgis entirely without spatialite
Comment 26 Egor Y. Egorov 2013-10-08 15:22:34 UTC
I create upstream bug:
http://hub.qgis.org/issues/8797
Comment 27 Milos Popovic 2013-10-09 21:49:59 UTC
Bug 487222 may be the blocker for version bump?
Comment 28 Egor Y. Egorov 2013-10-10 09:23:47 UTC
(In reply to Milos Popovic from comment #27)
> Bug 487222 may be the blocker for version bump?

Please test 2.0.1 from rion-overlay
Comment 29 Jean-Claude Repetto 2013-10-10 10:14:22 UTC
Hi,
I don't have problems during compilation, but when I launch QGIS, there are two error messages :

1st error :

Impossible de charger l'extension GdalTools provoque une erreur lors de l'appel de sa méthode classFactory()

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 204, in startPlugin
    plugins[packageName] = package.classFactory(iface)
  File "/usr/share/qgis/python/plugins/GdalTools/__init__.py", line 22, in classFactory
    from GdalTools import GdalTools
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/GdalTools/GdalTools.py", line 47, in 
    QMessageBox.warning( qgis.utils.iface.mainWindow(), title, message.format( "GdalTools", req_mods["osgeo"] ) )
ValueError: unmatched '{' in format

Version de Python :
2.7.5 (default, Sep 24 2013, 15:46:11) 
[GCC 4.6.3]


Version de QGIS :
2.0.1-Dufour Dufour, exported

Chemin vers Python : ['/usr/share/qgis/python', '/home/jcr/.qgis2/python', '/home/jcr/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos', '/usr/lib64/python2.7/site-packages/gtk-2.0']





2nd error :

mpossible de charger l'extension 'processing' depuis ['/usr/share/qgis/python', '/home/jcr/.qgis2/python', '/home/jcr/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos', '/usr/lib64/python2.7/site-packages/gtk-2.0']

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 182, in loadPlugin
    __import__(packageName)
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 20, in 
    from processing.tools.general import runalg, runandload, alghelp, alglist, algoptions, load, extent, getobject
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/tools/general.py", line 29, in 
    from processing.core.Processing import Processing
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 43, in 
    from processing.algs.QGISAlgorithmProvider import QGISAlgorithmProvider
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/algs/QGISAlgorithmProvider.py", line 76, in 
    from processing.algs.RasterLayerStatistics import RasterLayerStatistics
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/algs/RasterLayerStatistics.py", line 33, in 
    from processing.tools import raster
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/tools/raster.py", line 26, in 
    from osgeo import gdal
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: No module named osgeo

Version de Python :
2.7.5 (default, Sep 24 2013, 15:46:11) 
[GCC 4.6.3]

Version de QGIS :
2.0.1-Dufour Dufour, exported

Chemin vers Python : ['/usr/share/qgis/python', '/home/jcr/.qgis2/python', '/home/jcr/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos', '/usr/lib64/python2.7/site-packages/gtk-2.0']





I have noticed that the module osgeo exists only for Python 3.2, may be it explains the error.
# qfile /usr/lib/python2.7/site-packages/osgeo
# qfile /usr/lib/python3.2/site-packages/osgeo
sci-libs/gdal (/usr/lib64/python3.2/site-packages/osgeo)
Comment 30 Egor Y. Egorov 2013-10-10 10:37:41 UTC
(In reply to Jean-Claude Repetto from comment #29)
> Hi,
> I don't have problems during compilation, but when I launch QGIS, there are
> two error messages :

In my case 
$ qlist sci-libs/gdal | grep osgeo
/usr/lib64/python2.7/site-packages/osgeo/_gdal_array.so
/usr/lib64/python2.7/site-packages/osgeo/_ogr.so
/usr/lib64/python2.7/site-packages/osgeo/_osr.so
/usr/lib64/python2.7/site-packages/osgeo/_gdalconst.so
/usr/lib64/python2.7/site-packages/osgeo/_gdal.so
/usr/lib64/python2.7/site-packages/osgeo/ogr.py
/usr/lib64/python2.7/site-packages/osgeo/gdal_array.py
/usr/lib64/python2.7/site-packages/osgeo/__init__.py
/usr/lib64/python2.7/site-packages/osgeo/gdalconst.py
/usr/lib64/python2.7/site-packages/osgeo/gdal.py
/usr/lib64/python2.7/site-packages/osgeo/gdalnumeric.py
/usr/lib64/python2.7/site-packages/osgeo/osr.py


Please, rebuild  sci-libs/gdal
Comment 31 Egor Y. Egorov 2013-10-10 10:49:38 UTC
or simple run python-updater
Comment 32 Jean-Claude Repetto 2013-10-10 12:32:20 UTC
python-updater did nothing :

# python-updater
 * Starting Python Updater...
 * Main active version of Python:    3.2
 * Active version of Python 2:       2.7
 * Active version of Python 3:       3.2
 * Globally supported Python ABIs in installed repositories:
 *   gentoo:                         2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   java:                           2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   rion:                           2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   seden:                          2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   x-portage:                      2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 * No packages need to be reinstalled.


So I re-emerged GDAL manually, but it changed nothing ...
Comment 33 Jean-Claude Repetto 2013-10-10 12:33:23 UTC
# qlist sci-libs/gdal | grep osgeo
/usr/lib64/python3.2/site-packages/osgeo/_osr.cpython-32.so
/usr/lib64/python3.2/site-packages/osgeo/_ogr.cpython-32.so
/usr/lib64/python3.2/site-packages/osgeo/__init__.py
/usr/lib64/python3.2/site-packages/osgeo/gdal.py
/usr/lib64/python3.2/site-packages/osgeo/gdalnumeric.py
/usr/lib64/python3.2/site-packages/osgeo/_gdal.cpython-32.so
/usr/lib64/python3.2/site-packages/osgeo/ogr.py
/usr/lib64/python3.2/site-packages/osgeo/gdalconst.py
/usr/lib64/python3.2/site-packages/osgeo/_gdalconst.cpython-32.so
/usr/lib64/python3.2/site-packages/osgeo/gdal_array.py
/usr/lib64/python3.2/site-packages/osgeo/_gdal_array.cpython-32.so
/usr/lib64/python3.2/site-packages/osgeo/osr.py
Comment 34 Egor Y. Egorov 2013-10-10 12:35:51 UTC
Please show 
emerge -pv gdal && eselect python list
Comment 35 Egor Y. Egorov 2013-10-10 12:37:21 UTC
See also https://bugs.gentoo.org/show_bug.cgi?id=485868#c20
Comment 36 Tomáš Chaloupka 2013-10-10 13:35:41 UTC
Tested qgis-2.0.1 from newly updated rion-overlay with same result as in https://bugs.gentoo.org/show_bug.cgi?id=487222#c15

/usr/share/sip/QtGui/qsyntaxhighlighter.sip:78:77: error: ‘qtgui_wrap_ancestors’ was not declared in this scope
             PyObject *py_td = qtgui_wrap_ancestors(td, sipType_QTextDocument);


As mentioned in http://hub.qgis.org/issues/8601 problem is probably with PyQt?

emerge -pv dev-python/PyQt4-4
[ebuild   R    ] dev-python/PyQt4-4.10.3  USE="X dbus declarative help kde opengl phonon script sql svg webkit -debug -doc -examples -multimedia -scripttools -xmlpatterns" PYTHON_TARGETS="python2_7 python3_2 python3_3 -python2_6" 10,926 kB

eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *
  [3]   python3.3
Comment 37 Egor Y. Egorov 2013-10-10 13:41:57 UTC
(In reply to Tomáš Chaloupka from comment #36)
> Tested qgis-2.0.1 from newly updated rion-overlay with same result as in
> https://bugs.gentoo.org/show_bug.cgi?id=487222#c15
> 
> /usr/share/sip/QtGui/qsyntaxhighlighter.sip:78:77: error:
> ‘qtgui_wrap_ancestors’ was not declared in this scope
>              PyObject *py_td = qtgui_wrap_ancestors(td,
> sipType_QTextDocument);
> 
> 
> As mentioned in http://hub.qgis.org/issues/8601 problem is probably with
> PyQt?
> 
> emerge -pv dev-python/PyQt4-4
> [ebuild   R    ] dev-python/PyQt4-4.10.3  USE="X dbus declarative help kde
> opengl phonon script sql svg webkit -debug -doc -examples -multimedia
> -scripttools -xmlpatterns" PYTHON_TARGETS="python2_7 python3_2 python3_3
> -python2_6" 10,926 kB
> 
> eselect python list
> Available Python interpreters:
>   [1]   python2.7
>   [2]   python3.2 *
>   [3]   python3.3

I backport patches from http://hub.qgis.org/issues/8601 some time ago. 
But I not test this with unstable PyQt4 and sip. I make this soon.
Comment 38 Egor Y. Egorov 2013-10-10 13:46:08 UTC
(In reply to Tomáš Chaloupka from comment #36)
> As mentioned in http://hub.qgis.org/issues/8601 problem is probably with
> PyQt?
My bee this patch?
https://github.com/qgis/QGIS/commit/8385386493d3b19223825ce2ac9137d6d079a1c2
Comment 39 Egor Y. Egorov 2013-10-10 13:48:23 UTC
*maybe
Comment 40 Jean-Claude Repetto 2013-10-10 14:24:09 UTC
# emerge -pv gdal && eselect python list

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] sci-libs/gdal-1.10.0-r1  USE="aux_xml ecwj2k geos gif jpeg pdf png python spatialite sqlite -armadillo -curl -debug -doc -fits -gml -hdf5 -java -jpeg2k -mdb -mysql -netcdf -odbc -ogdi -opencl -perl -postgres -ruby -threads -xls" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *
Comment 41 Egor Y. Egorov 2013-10-10 14:51:29 UTC
(In reply to Jean-Claude Repetto from comment #40)
> # emerge -pv gdal && eselect python list
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild   R   ~] sci-libs/gdal-1.10.0-r1  USE="aux_xml ecwj2k geos gif jpeg
> pdf png python spatialite sqlite -armadillo -curl -debug -doc -fits -gml
> -hdf5 -java -jpeg2k -mdb -mysql -netcdf -odbc -ogdi -opencl -perl -postgres
> -ruby -threads -xls" 0 kB
> 
> Total: 1 package (1 reinstall), Size of downloads: 0 kB
> Available Python interpreters:
>   [1]   python2.7
>   [2]   python3.2 *

This is sci-libs/gdal issue. You need to select python2.7 and rebuild gdal.
Comment 42 Egor Y. Egorov 2013-10-10 15:00:37 UTC
#487534
Comment 43 Jean-Claude Repetto 2013-10-10 15:14:59 UTC
or #483074.

So I re-emerged GDAL with Python-2.7.
The previous errors in QGIS disappeared, but now there is an error about psycopg (the postgres USE flag is not set).

# emerge -pv qgis

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] sci-geosciences/qgis-2.0.1::rion  USE="python spatialite -examples -gps -grass -gsl -mapserver -postgres {-test}" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB


QGIS error message :

Impossible de charger l'extension 'processing' depuis ['/usr/share/qgis/python', '/home/jcr/.qgis2/python', '/home/jcr/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos', '/usr/lib64/python2.7/site-packages/gtk-2.0']

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 182, in loadPlugin
    __import__(packageName)
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 20, in 
    from processing.tools.general import runalg, runandload, alghelp, alglist, algoptions, load, extent, getobject
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/tools/general.py", line 29, in 
    from processing.core.Processing import Processing
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 52, in 
    from processing.admintools.AdminToolsAlgorithmProvider import AdminToolsAlgorithmProvider
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/admintools/AdminToolsAlgorithmProvider.py", line 19, in 
    from processing.admintools.PostGISExecuteSQL import PostGISExecuteSQL
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/admintools/PostGISExecuteSQL.py", line 32, in 
    from processing.admintools import postgis_utils
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/admintools/postgis_utils.py", line 39, in 
    import psycopg2
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: No module named psycopg2

Version de Python :
2.7.5 (default, Sep 24 2013, 15:46:11) 
[GCC 4.6.3]


Version de QGIS :
2.0.1-Dufour Dufour, exported

Chemin vers Python : ['/usr/share/qgis/python', '/home/jcr/.qgis2/python', '/home/jcr/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos', '/usr/lib64/python2.7/site-packages/gtk-2.0']
Comment 44 Milos Popovic 2013-10-10 17:40:22 UTC
* Failed Patch: qgis-2.0.1-fix-build-with-sip-4.15_part1.patch ! *
Comment 45 Egor Y. Egorov 2013-10-11 05:56:58 UTC
(In reply to Jean-Claude Repetto from comment #43)
> or #483074.
> 
> So I re-emerged GDAL with Python-2.7.
> The previous errors in QGIS disappeared, but now there is an error about
> psycopg (the postgres USE flag is not set).

I can enable deps on pycopg regardless USE=postgres. Always when USE=python enabled
Comment 46 Egor Y. Egorov 2013-10-11 06:05:42 UTC
But this will cause installation dev-db/postgresql-base when USE=python is set
Comment 47 Egor Y. Egorov 2013-10-11 06:25:13 UTC
Please test new ebuild

 11 Oct 2013; eegorov <egor.y.egorov@gmail.com> qgis-2.0.1.ebuild,
  +files/qgis-2.0.1-fix-build-with-sip-4.15_part3.patch:
  Fix depend for sci-libs/gdal with PYTHON_USEDEP
Comment 48 Tomáš Chaloupka 2013-10-11 07:27:33 UTC
qgis-2.0.1 compiled fne with latst changes in rion-overlay

But on start, there is a problem with processing plugin
ImportError: No module named psycopg2

Otherwise it seems ok

I have installed qgis with these use flags:
[ebuild   R    ] sci-geosciences/qgis-2.0.1::rion  USE="examples gps gsl python spatialite -grass -mapserver -postgres {-test}" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6"

So no postgres whitch means no psycopg installed.

Processing can be disabled in installed modules and then it seems ok.
Comment 49 Egor Y. Egorov 2013-10-11 08:01:47 UTC
--- a/sci-geosciences/qgis/ChangeLog    Fri Oct 11 13:22:14 2013 +0700
+++ b/sci-geosciences/qgis/ChangeLog    Fri Oct 11 14:56:00 2013 +0700
@@ -2,6 +2,9 @@
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  11 Oct 2013; eegorov <egor.y.egorov@gmail.com> qgis-2.0.1.ebuild:
+  Add the notice when USE="-postgres python"
+
Comment 50 Milos Popovic 2013-10-14 12:26:17 UTC
2.0.1 from rion works for me now. Thanks everyone!
Comment 51 Jean-Claude Repetto 2014-02-21 14:31:00 UTC
Please move the qgis-2.0.1 ebuild to the main portage tree.
Comment 52 Jeroen Roovers gentoo-dev 2014-02-22 18:28:15 UTC
*** Bug 502150 has been marked as a duplicate of this bug. ***
Comment 53 Jean-Claude Repetto 2014-02-22 20:33:25 UTC
Why did you changed the title of this ticket ? The ticket was about qgis 2.0.1, not 2.2.0. It is not the same version ! Now, we have an ebuild for 2.0.1, that should go immediately into portage main tree, but we have no ebuild for 2.2.0. I 'm afraid that we'll have a wait again for a very long time.
Comment 54 Egor Y. Egorov 2014-02-23 04:19:02 UTC
I'll try bump soon
Comment 55 Dainius Masiliūnas 2014-02-23 10:25:37 UTC
For me, the SpatiaLite database I created with QGIS 2 in another distribution does not open properly on Gentoo. QGIS says "obsolete libspatialite: connecting to this DB requires using v.4.0 (or any subsequent)", but that version is not packaged in Gentoo yet, nor is it in the rion overlay... The "spatialite" USE flag doesn't make any difference, the same error is shown either way.
Comment 57 Egor Y. Egorov 2014-02-24 10:00:31 UTC
https://code.google.com/p/rion-overlay/source/detail?r=96101e84981e05e77fc55bf459ea11954762969c

+*qgis-2.2.0 (24 Feb 2014)
+
+  24 Feb 2014; eegorov <egor.y.egorov@gmail.com> +qgis-2.2.0.ebuild:
+  Bump to version 2.2.0
+
Comment 58 Thomas Capricelli 2014-02-26 00:37:28 UTC
Tried sci-geosciences/qgis-2.2.0 taken from the link in the previous comment. It emerged fine, when started i have 

----------------------------------------------------------------
Impossibile caricare il plugin 'processing' da ['/usr/share/qgis/python', '/home/orzel/.qgis2/python', '/home/orzel/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/geos', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib64/python2.7/site-packages/wx-2.9.4-gtk2', '/usr/share/qgis/python/plugins/fTools/tools']

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 182, in loadPlugin
    __import__(packageName)
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 29, in 
    from processing.tools.general import *
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/tools/general.py", line 29, in 
    from processing.core.Processing import Processing
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 59, in 
    from processing.admintools.AdminToolsAlgorithmProvider import \
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/admintools/AdminToolsAlgorithmProvider.py", line 32, in 
    from processing.admintools.PostGISExecuteSQL import PostGISExecuteSQL
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/admintools/PostGISExecuteSQL.py", line 36, in 
    from processing.admintools import postgis_utils
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "/usr/share/qgis/python/plugins/processing/admintools/postgis_utils.py", line 28, in 
    import psycopg2
  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: No module named psycopg2
----------------------------------------------------------------

(and indeed dev-python/psycopg is not emerged on my system)

But after this, i got the main window and it seems to work.
Comment 59 Jean-Claude Repetto 2014-03-04 11:07:39 UTC
Is the requirement on qwtpolar <= 1.0 absolutely necessary ? I removed it, and it seems that QGIS 2.2 is compiling correctly with qwtpolar-1.1 installed.
Comment 60 Egor Y. Egorov 2014-03-04 12:59:38 UTC
(In reply to Jean-Claude Repetto from comment #59)
> Is the requirement on qwtpolar <= 1.0 absolutely necessary ? I removed it,
> and it seems that QGIS 2.2 is compiling correctly with qwtpolar-1.1
> installed.

	|| (
( =x11-libs/qwt-6.0*[svg] >=x11-libs/qwtpolar-1 )
( x11-libs/qwt:5[svg] <x11-libs/qwtpolar-1 )

Or =x11-libs/qwt-6.0*[svg] and >=x11-libs/qwtpolar-1, or x11-libs/qwt:5[svg] and <x11-libs/qwtpolar-1 
Your first option.
Comment 61 Jean-Claude Repetto 2014-03-04 13:20:24 UTC
Sorry, I don't understand your answer.

I changed :
( =x11-libs/qwt-6.0*[svg] >=x11-libs/qwtpolar-1 )
to 
( >=x11-libs/qwt-6[svg] >=x11-libs/qwtpolar-1 )

to avoid blocking qwt-6.1 .
Comment 62 Lori 2014-03-18 11:21:16 UTC
I get this when running qgis-2.2.0 from rion overlay (using gdal-1.10-1 from portage):

> qgis
Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]
QGIS died on signal 11
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007f001e0c068a in waitpid () from /lib64/libpthread.so.0
[Current thread is 1 (Thread 0x7f0024443780 (LWP 16265))]
#0  0x00007f001e0c068a in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000000004f78fd in qgisCrash(int) ()
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00007f001faed72a in QMetaObject::normalizedSignature(char const*) () from /usr/lib64/qt4/libQtCore.so.4
No symbol table info available.
#4  0x00007f0005990b93 in ?? () from /usr/lib64/python2.7/site-packages/PyQt4/QtCore.so
No symbol table info available.
#5  0x00007f0005990ec0 in ?? () from /usr/lib64/python2.7/site-packages/PyQt4/QtCore.so
No symbol table info available.
#6  0x00007f0005c7bc1d in ?? () from /usr/lib64/python2.7/site-packages/sip.so
No symbol table info available.
#7  0x00007f0005c7c018 in ?? () from /usr/lib64/python2.7/site-packages/sip.so
No symbol table info available.
#8  0x00007f00061192eb in PyObject_GetAttrString () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#9  0x00007f000616d5dd in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#10 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#11 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#12 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#13 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#14 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#15 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#16 0x00007f00061834f9 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#17 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#18 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#19 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#20 0x00007f000610395e in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#21 0x00007f00060df2be in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#22 0x00007f000616bca7 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#23 0x00007f000616e331 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#24 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#25 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#26 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#27 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#28 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#29 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#30 0x00007f00061834f9 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#31 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#32 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#33 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#34 0x00007f000610395e in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#35 0x00007f00060df2be in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#36 0x00007f000616bca7 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#37 0x00007f000616e331 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#38 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#39 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#40 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#41 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#42 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#43 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#44 0x00007f00061834f9 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#45 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#46 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#47 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#48 0x00007f000610395e in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#49 0x00007f00060df2be in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#50 0x00007f000616bca7 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#51 0x00007f000616e331 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#52 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#53 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#54 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#55 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#56 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#57 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#58 0x00007f00061834f9 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#59 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#60 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#61 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#62 0x00007f000610395e in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#63 0x00007f00060df2be in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#64 0x00007f000616bca7 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#65 0x00007f000616e331 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#66 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#67 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#68 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#69 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#70 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#71 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#72 0x00007f00061834f9 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#73 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#74 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#75 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#76 0x00007f000610395e in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#77 0x00007f00060df2be in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#78 0x00007f000616bca7 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#79 0x00007f000616e331 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#80 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#81 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#82 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#83 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#84 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#85 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#86 0x00007f00061834f9 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#87 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#88 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#89 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#90 0x00007f000610395e in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#91 0x00007f00060df2be in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#92 0x00007f000616bca7 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#93 0x00007f000616e331 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#94 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#95 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#96 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#97 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#98 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#99 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#100 0x00007f00061834f9 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#101 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#102 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#103 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#104 0x00007f000610395e in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#105 0x00007f00060df2be in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#106 0x00007f000616bca7 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#107 0x00007f000616e331 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#108 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#109 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#110 0x00007f0006181a2d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#111 0x00007f0006181cb9 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#112 0x00007f00061829c2 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#113 0x00007f0006182cc3 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#114 0x00007f0006182f17 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#115 0x00007f00061834bd in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#116 0x00007f000616a0df in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#117 0x00007f000617173b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#118 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#119 0x00007f00061709eb in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#120 0x00007f00061712fe in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#121 0x00007f0006172492 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#122 0x00007f00061725a2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#123 0x00007f000618b21a in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#124 0x00007f000618be08 in PyRun_StringFlags () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#125 0x00007f00064552d2 in QgsPythonUtilsImpl::evalString(QString const&, QString&) () from /usr/lib64/libqgispython.so.2.2.0
No symbol table info available.
#126 0x00007f0006452b77 in QgsPythonUtilsImpl::loadPlugin(QString) () from /usr/lib64/libqgispython.so.2.2.0
No symbol table info available.
#127 0x00000000006bc14b in QgsPluginRegistry::loadPythonPlugin(QString) ()
No symbol table info available.
#128 0x00000000006bec26 in QgsPluginRegistry::restoreSessionPlugins(QString) ()
No symbol table info available.
#129 0x0000000000539762 in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()
No symbol table info available.
#130 0x00000000004f1679 in main ()
No symbol table info available.
gdb returned 0


Any ideas what could be done to fix this?
Comment 63 Egor Y. Egorov 2014-03-18 15:07:39 UTC
Try to run with empty user home dir (for example from another/new user)
Comment 64 Soren Harward 2014-03-29 00:00:37 UTC
I have the same crash as #62, even after having wiped out the ~/.qgis2 and ~/.config/QGIS directories.
Comment 65 Soren Harward 2014-03-29 01:43:22 UTC
(In reply to Soren Harward from comment #64)
> I have the same crash as #62, even after having wiped out the ~/.qgis2 and
> ~/.config/QGIS directories.

The problem appears to be related to the processing plugin when PostGreSQL is not present (ie, qgis is emerged with USE="-postgres").  qgis-2.0.1 would start up, and throw a warning that the processing module couldn't be loaded because psycopg2 could not be found.  qgis 2.2.0 segfaults instead.

I would recommend that for now, the ebuild wipe out the processing plugin directory (/usr/share/qgis/python/plugins/processing) if USE="-postgres", because the processing plugin isn't going to work anyway.  I will file a bug upstream so that the processing plugin doesn't get built unless WITH_POSTGRESQL is specified.

In the meantime, you can work around this bug by removing (or making unreadable) the /usr/share/qgis/python/plugins/processing directory.
Comment 66 Thomas Beutin 2014-04-06 18:05:50 UTC
(In reply to Soren Harward from comment #65)
> (In reply to Soren Harward from comment #64)
> > I have the same crash as #62, even after having wiped out the ~/.qgis2 and
> > ~/.config/QGIS directories.
> 
> The problem appears to be related to the processing plugin when PostGreSQL
> is not present (ie, qgis is emerged with USE="-postgres").  qgis-2.0.1 would
> start up, and throw a warning that the processing module couldn't be loaded
> because psycopg2 could not be found.  qgis 2.2.0 segfaults instead.
> 
> I would recommend that for now, the ebuild wipe out the processing plugin
> directory (/usr/share/qgis/python/plugins/processing) if USE="-postgres",
> because the processing plugin isn't going to work anyway.  I will file a bug
> upstream so that the processing plugin doesn't get built unless
> WITH_POSTGRESQL is specified.
> 
> In the meantime, you can work around this bug by removing (or making
> unreadable) the /usr/share/qgis/python/plugins/processing directory.

I have sci-geosciences/qgis-2.0.1, dev-db/postgresql-server-9.4.3 and dev-python/psycopg-2.5.1 installed, and i get the same error as comment #62 unless i make /usr/share/qgis/python/plugins/processing unreadable for me. So this seems not a qgis-2.2.x specific problem to me.
Comment 67 Mira Ressel 2014-04-19 20:26:06 UTC
@sci-geosciences: Why hasn't this been bumped yet? Are there any issues the community could help with, or is the herd just lacking enough time?
Comment 68 rudregues 2014-04-20 20:10:03 UTC
Are you trying to use qgis-2.2.0 from rion overlay, right?

Just to note, 2.0.1 was working in my pc, but 2.2.0 not. 

My steps: 

1) I open qgis with:
~ $ qgis

2) A warnig apears in the terminal: 
Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

3) A qgis startup window opens and shows the following (in order of apperance): 
Checking database 
Setting up the GUI 
Starting up python 
Restoring loaded plugins 

4) Then the window is closed and this rror apears in terminal:
QGIS died on signal 11Aborted
Comment 69 Mira Ressel 2014-04-20 20:57:05 UTC
@rudregues: That could be a problem with one of the installed plugins; have you tried "rm -rf ~/.qgis2"?
Comment 70 Mira Ressel 2014-04-20 21:03:12 UTC
The ebuild from rion-overlay has incorrect dependencies. It specifies "=x11-libs/qwt-6.0*", therefore excluding qwt-6.1. This causes a build failure when building with qwt-6.0.0 and qwtpolar-1.1.0 because those are incompatible. You probably haven't noticed because it builds fine with qwt:5.

QGIS' INSTALL file mentions an incompatibility with qwt-6.1, which likely is the cause of that dependency declaration. However, this incompatibility only applies when building with the *bundled* version of qwtpolar, which we don't do.

In short: the dependency "=x11-libs/qwt-6.0*" should be changed to "x11-libs/qwt:6".
Comment 71 rudregues 2014-04-21 00:29:04 UTC
@Luis Ressel

I altered the ebuild just like you said, excluded ~/.qgis2 but didn't worked too.
Comment 72 rudregues 2014-04-21 00:43:36 UTC
Maybe it's a good idea to contact rion team and ask the reason they've made this way?
Comment 73 Egor Y. Egorov 2014-04-21 02:07:57 UTC
(In reply to Luis Ressel from comment #70)
> The ebuild from rion-overlay has incorrect dependencies. It specifies
> "=x11-libs/qwt-6.0*", therefore excluding qwt-6.1. This causes a build
> failure when building with qwt-6.0.0 and qwtpolar-1.1.0 because those are
> incompatible. You probably haven't noticed because it builds fine with qwt:5.
> 
> QGIS' INSTALL file mentions an incompatibility with qwt-6.1, which likely is
> the cause of that dependency declaration. However, this incompatibility only
> applies when building with the *bundled* version of qwtpolar, which we don't
> do.
> 
> In short: the dependency "=x11-libs/qwt-6.0*" should be changed to
> "x11-libs/qwt:6".

+  21 Apr 2014; eegorov <egor.y.egorov@gmail.com> qgis-2.2.0.ebuild:                                                                                                 
+  Fix x11-libs/qwt dependency. Thanks to Luis Ressel                                                                                                                
+                                                                                                                                                                    
 *qgis-2.2.0 (24 Feb 2014)                                                                                                                                           
  
In rion-overlay
Comment 74 Mira Ressel 2014-04-21 11:57:33 UTC
Note: The bugs #476460 and #508320 also apply to the new ebuild.
Comment 75 Egor Y. Egorov 2014-04-21 12:21:16 UTC
> Note: The bugs #476460 and #508320 also apply to the new ebuild.

http://code.google.com/p/rion-overlay/source/detail?r=83339e1684d71490c487f3d1f9d898c1e4af6576

But https://raw.github.com/qgis/QGIS/master/INSTALL say:

Optional dependencies:

- for GRASS plugin - GRASS >= 6.0.0 (libraries compiled with exceptions support on Linux 32bit)
- for georeferencer - GSL >= 1.8
- for postgis support and SPIT plugin - PostgreSQL >= 8.0.x
- for gps plugin - gpsbabel

I removed the USE=gps because gbsbabel is hard dependency now, but I can not test this in this moment. Please test.
Comment 76 Thomas Beutin 2014-04-21 17:51:36 UTC
It still crashes:

$ qgis
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 14: reading configurations from ~/.fonts.conf is deprecated.
Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_IE]
QGIS died on signal 11
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007fe27a8b5c3a in waitpid () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7fe28182f780 (LWP 30965))]
#0  0x00007fe27a8b5c3a in waitpid () from /lib64/libc.so.6
No symbol table info available.
#1  0x00000000004fbea7 in qgisCrash(int) ()
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00007fe27d3311ca in QMetaObject::normalizedSignature(char const*) () from /usr/lib64/qt4/libQtCore.so.4
No symbol table info available.
#4  0x00007fe25fcb7aac in ?? () from /usr/lib64/python2.7/site-packages/PyQt4/QtCore.so
No symbol table info available.
#5  0x00007fe25fcb7db7 in ?? () from /usr/lib64/python2.7/site-packages/PyQt4/QtCore.so
No symbol table info available.
#6  0x00007fe25ff89ead in ?? () from /usr/lib64/python2.7/site-packages/sip.so
No symbol table info available.
#7  0x00007fe25ff8a000 in ?? () from /usr/lib64/python2.7/site-packages/sip.so
No symbol table info available.
#8  0x00007fe26042934b in PyObject_GetAttrString () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#9  0x00007fe26047d63d in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#10 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#11 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#12 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#13 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#14 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#15 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#16 0x00007fe260493559 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#17 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#18 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#19 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#20 0x00007fe2604139be in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#21 0x00007fe2603ef31e in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#22 0x00007fe26047bd07 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#23 0x00007fe26047e391 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#24 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#25 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#26 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#27 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#28 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#29 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#30 0x00007fe260493559 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#31 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#32 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#33 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#34 0x00007fe2604139be in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#35 0x00007fe2603ef31e in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#36 0x00007fe26047bd07 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#37 0x00007fe26047e391 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#38 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#39 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#40 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#41 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#42 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#43 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#44 0x00007fe260493559 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#45 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#46 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#47 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#48 0x00007fe2604139be in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#49 0x00007fe2603ef31e in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#50 0x00007fe26047bd07 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#51 0x00007fe26047e391 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#52 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#53 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#54 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#55 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#56 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#57 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#58 0x00007fe260493559 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#59 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#60 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#61 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#62 0x00007fe2604139be in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#63 0x00007fe2603ef31e in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#64 0x00007fe26047bd07 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#65 0x00007fe26047e391 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#66 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#67 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#68 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#69 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#70 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#71 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#72 0x00007fe260493559 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#73 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#74 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#75 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#76 0x00007fe2604139be in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#77 0x00007fe2603ef31e in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#78 0x00007fe26047bd07 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#79 0x00007fe26047e391 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#80 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#81 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#82 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#83 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#84 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#85 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#86 0x00007fe260493559 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#87 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#88 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#89 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#90 0x00007fe2604139be in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#91 0x00007fe2603ef31e in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#92 0x00007fe26047bd07 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#93 0x00007fe26047e391 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#94 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#95 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#96 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#97 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#98 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#99 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#100 0x00007fe260493559 in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#101 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#102 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#103 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#104 0x00007fe2604139be in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#105 0x00007fe2603ef31e in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#106 0x00007fe26047bd07 in PyEval_CallObjectWithKeywords () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#107 0x00007fe26047e391 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#108 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#109 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#110 0x00007fe260491a8d in PyImport_ExecCodeModuleEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#111 0x00007fe260491d19 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#112 0x00007fe260492a22 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#113 0x00007fe260492d23 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#114 0x00007fe260492f77 in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#115 0x00007fe26049351d in PyImport_ImportModuleLevel () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#116 0x00007fe26047a13f in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#117 0x00007fe26048179b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#118 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#119 0x00007fe260480a4b in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#120 0x00007fe26048135e in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#121 0x00007fe2604824f2 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#122 0x00007fe260482602 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#123 0x00007fe26049b27a in ?? () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#124 0x00007fe26049be68 in PyRun_StringFlags () from /usr/lib64/libpython2.7.so.1.0
No symbol table info available.
#125 0x00007fe2607653b4 in QgsPythonUtilsImpl::evalString(QString const&, QString&) () from /usr/lib64/libqgispython.so.2.2.0
No symbol table info available.
#126 0x00007fe260762497 in QgsPythonUtilsImpl::loadPlugin(QString) () from /usr/lib64/libqgispython.so.2.2.0
No symbol table info available.
#127 0x00000000006afb5c in QgsPluginRegistry::loadPythonPlugin(QString) ()
No symbol table info available.
#128 0x00000000006b0d36 in QgsPluginRegistry::restoreSessionPlugins(QString) ()
No symbol table info available.
#129 0x000000000053b1da in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()
No symbol table info available.
#130 0x00000000004f5ecd in main ()
No symbol table info available.
gdb returned 0
Aborted
Comment 77 Egor Y. Egorov 2014-04-22 01:52:27 UTC
Sorry, I can not reproduce this crashe. In any case you should open separate issue.
Comment 78 Jeroen Roovers gentoo-dev 2014-11-05 11:49:00 UTC
*** Bug 528220 has been marked as a duplicate of this bug. ***
Comment 79 Jeroen Roovers gentoo-dev 2014-11-05 11:49:35 UTC
*** Bug 511998 has been marked as a duplicate of this bug. ***
Comment 80 Jeroen Roovers gentoo-dev 2014-11-05 11:49:54 UTC
*** Bug 515832 has been marked as a duplicate of this bug. ***
Comment 81 Egor Y. Egorov 2014-11-07 03:15:05 UTC
https://code.google.com/p/rion-overlay/source/detail?r=55c31c1d3c45f0738695684befa89339cb0ded16

QGIS-2.6 in rion overlay now
Comment 82 Martin von Gagern 2014-11-11 08:32:24 UTC
(In reply to Egor Y. Egorov from comment #81)
> https://code.google.com/p/rion-overlay/source/
> detail?r=55c31c1d3c45f0738695684befa89339cb0ded16
> 
> QGIS-2.6 in rion overlay now

Compiles and runs after applying the patch from bug #525700. Thanks!
Comment 83 Milos Popovic 2014-11-11 22:49:52 UTC
Qgis 2.6 requires package app-text/txt2tags. Thanks for the ebuild!
Comment 84 Egor Y. Egorov 2014-11-12 03:40:33 UTC
(In reply to Milos Popovic from comment #83)
> Qgis 2.6 requires package app-text/txt2tags. Thanks for the ebuild!

In my case build fine without app-text/txt2tags.
Can you show build.log?

(In reply to Martin von Gagern from comment #82)
> Compiles and runs after applying the patch from bug #525700. Thanks!

https://code.google.com/p/rion-overlay/source/detail?r=f13d1a456fe224f03b58b5059916bf3f1125ef92
Comment 85 Milos Popovic 2014-11-12 21:38:25 UTC
Sorry for not being clear. Due to bug 525700 I tried to install QGIS 2.6 with USE="-python" and without app-text/txt2tags. It failed in configure phase, before compiling.
Comment 86 Egor Y. Egorov 2014-11-13 09:40:16 UTC
In my case all fine
Can you show build.log?
Comment 87 Milos Popovic 2014-11-14 00:10:09 UTC
Strange, but I can’t reproduce this now.
Comment 88 Jeremy Murphy 2014-11-20 04:00:31 UTC
Fails to configure for me due to a missing x11-libs/qscintilla dependency:

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QSCINTILLA_INCLUDE_DIR
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/gui
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/providers/mssql
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/providers/wfs
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/providers/spatialite
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/app
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/app
   used as include directory in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/app
QSCINTILLA_LIBRARY
    linked by target "qgis_core" in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/core
    linked by target "qgis_gui" in directory /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/gui


Sure enough, if I manually emerge x11-libs/qscintilla, the problem goes away.
Comment 89 Egor Y. Egorov 2014-11-20 04:15:02 UTC
(In reply to Jeremy Murphy from comment #88)
> Fails to configure for me due to a missing x11-libs/qscintilla dependency:
> 
> CMake Error: The following variables are used in this project, but they are
> set to NOTFOUND.
> Please set them or make sure they are set and tested correctly in the CMake
> files:
> QSCINTILLA_INCLUDE_DIR
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/gui
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/providers/
> mssql
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/providers/wfs
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/providers/
> spatialite
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/app
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/app
>    used as include directory in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/app
> QSCINTILLA_LIBRARY
>     linked by target "qgis_core" in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/core
>     linked by target "qgis_gui" in directory
> /var/tmp/portage/sci-geosciences/qgis-2.6.0/work/qgis-2.6.0/src/gui
> 
> 
> Sure enough, if I manually emerge x11-libs/qscintilla, the problem goes away.

Can you show full build.log?
Comment 90 Jeremy Murphy 2014-11-23 05:29:25 UTC
Created attachment 390084 [details]
build log, fails without qscintilla

As requested, build.log wherein qscintilla is not present causes build to fail.
Comment 91 hgecol 2014-11-27 01:26:23 UTC
After install "x11-libs/qscintilla", qgis-2.6 was installed successfully.
Comment 93 Thomas Beutin 2014-12-02 15:50:38 UTC
According to http://www.qgis.org/en/site/forusers/download.html:

"The current version is QGIS 2.6.1 'Brighton' and was released in November 2014."
Comment 95 Dave Favis-Mortlock 2014-12-12 17:11:38 UTC
Created attachment 391514 [details]
Ebuild for QGIS 2.6.1
Comment 96 Dave Favis-Mortlock 2014-12-12 17:12:45 UTC
Created attachment 391516 [details, diff]
Patch for "QtCore/QtCoremod.sip" problem
Comment 97 Dave Favis-Mortlock 2014-12-12 17:13:18 UTC
Here is an ebuild for QGIS 2.6.1, together with a patch (slightly modified from Martin von Gagern's patch at http://hub.qgis.org/issues/11465) which solves the Unable to find file "QtCore/QtCoremod.sip" problem.
Comment 98 Egor Y. Egorov 2014-12-12 18:56:27 UTC
(In reply to Dave Favis-Mortlock from comment #97)
> Here is an ebuild for QGIS 2.6.1, together with a patch (slightly modified
> from Martin von Gagern's patch at http://hub.qgis.org/issues/11465) which
> solves the Unable to find file "QtCore/QtCoremod.sip" problem.

ebuild from rion affected by this issue?
Comment 99 Milos Popovic 2015-02-23 13:58:00 UTC
News: 2.8.0 is out.
Comment 100 Egor Y. Egorov 2015-02-24 06:44:01 UTC
2.8.0 In rion overlay now. Please test.
Comment 101 Jean-Claude Repetto 2015-02-24 15:40:04 UTC
The ebuild fails when the spatialite USEFLAG is not set :

# emerge  -av qgis
[ebuild  N    ~] sci-geosciences/qgis-2.8.0::rion  USE="python -examples -grass -gsl -mapserver -postgres -spatialite {-test}" PYTHON_TARGETS="python2_7" 0 KiB

>>> Emerging (1 of 1) sci-geosciences/qgis-2.8.0::rion
 * qgis-2.8.0.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                                                                                                   [ ok ]
>>> Unpacking source...
>>> Unpacking qgis-2.8.0.tar.bz2 to /var/tmp/portage/sci-geosciences/qgis-2.8.0/work
>>> Source unpacked in /var/tmp/portage/sci-geosciences/qgis-2.8.0/work
>>> Preparing source in /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0 ...
 * Applying qgis-1.7.0-avoid-deprecated-pyqtconfig.patch ...                                                                                                                                                                 [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DQGIS_MANUAL_SUBDIR=/share/man/ -DBUILD_SHARED_LIBS=ON -DQGIS_LIB_SUBDIR=lib64 -DQGIS_PLUGIN_SUBDIR=lib64/qgis -DWITH_INTERNAL_QWTPOLAR=OFF -DPEDANTIC=OFF -DWITH_APIDOC=OFF -DWITH_POSTGRESQL=OFF -DWITH_GRASS=OFF -DWITH_MAPSERVER=OFF -DWITH_BINDINGS=ON -DBINDINGS_GLOBAL_INSTALL=ON -DWITH_SPATIALITE=OFF -DWITH_PYSPATIALITE=OFF -DWITH_GSL=OFF -DENABLE_TESTS=OFF -DWITH_INTERNAL_SPATIALITE=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build/gentoo_toolchain.cmake  /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 4.8.3
-- The CXX compiler identification is GNU 4.8.3
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- QGIS version: 2.8.0 Wien (20800)
-- Looking for openpty
-- Looking for openpty - not found
-- Looking for openpty
-- Looking for openpty - found
-- Found Proj: /usr/lib64/libproj.so
-- Found GEOS: /usr/lib64/libgeos_c.so (3.4.1)
-- Found GDAL: /usr/lib64/libgdal.so (1.10.1)
-- Found Expat: /usr/lib64/libexpat.so
-- Found Spatialindex: /usr/lib64/libspatialindex.so
-- Found Qwt: /usr/lib64/libqwt.so (5.2.3)
-- Found Sqlite3: /usr/lib64/libsqlite3.so
CMake Error at cmake/FindSPATIALITE.cmake:77 (MESSAGE):
  Could not find SpatiaLite
Call Stack (most recent call first):
  CMakeLists.txt:200 (FIND_PACKAGE)
Comment 102 Egor Y. Egorov 2015-02-25 05:19:22 UTC
(In reply to Jean-Claude Repetto from comment #101)
> The ebuild fails when the spatialite USEFLAG is not set :
> 
> # emerge  -av qgis
> [ebuild  N    ~] sci-geosciences/qgis-2.8.0::rion  USE="python -examples
> -grass -gsl -mapserver -postgres -spatialite {-test}"
> PYTHON_TARGETS="python2_7" 0 KiB
> 
> >>> Emerging (1 of 1) sci-geosciences/qgis-2.8.0::rion
>  * qgis-2.8.0.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...                  
> [ ok ]
> >>> Unpacking source...
> >>> Unpacking qgis-2.8.0.tar.bz2 to /var/tmp/portage/sci-geosciences/qgis-2.8.0/work
> >>> Source unpacked in /var/tmp/portage/sci-geosciences/qgis-2.8.0/work
> >>> Preparing source in /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0 ...
>  * Applying qgis-1.7.0-avoid-deprecated-pyqtconfig.patch ...                
> [ ok ]
> >>> Source prepared.
> >>> Configuring source in /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0 ...
> >>> Working in BUILD_DIR: "/var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build"
> cmake --no-warn-unused-cli -C
> /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build/
> gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr
> -DQGIS_MANUAL_SUBDIR=/share/man/ -DBUILD_SHARED_LIBS=ON
> -DQGIS_LIB_SUBDIR=lib64 -DQGIS_PLUGIN_SUBDIR=lib64/qgis
> -DWITH_INTERNAL_QWTPOLAR=OFF -DPEDANTIC=OFF -DWITH_APIDOC=OFF
> -DWITH_POSTGRESQL=OFF -DWITH_GRASS=OFF -DWITH_MAPSERVER=OFF
> -DWITH_BINDINGS=ON -DBINDINGS_GLOBAL_INSTALL=ON -DWITH_SPATIALITE=OFF
> -DWITH_PYSPATIALITE=OFF -DWITH_GSL=OFF -DENABLE_TESTS=OFF
> -DWITH_INTERNAL_SPATIALITE=ON -DCMAKE_BUILD_TYPE=Gentoo
> -DCMAKE_INSTALL_DO_STRIP=OFF
> -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/sci-geosciences/qgis-2.8.0/
> work/qgis-2.8.0_build/gentoo_rules.cmake
> -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-
> 2.8.0_build/gentoo_toolchain.cmake 
> /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0
> Not searching for unused variables given on the command line.
> loading initial cache file
> /var/tmp/portage/sci-geosciences/qgis-2.8.0/work/qgis-2.8.0_build/
> gentoo_common_config.cmake
> -- The C compiler identification is GNU 4.8.3
> -- The CXX compiler identification is GNU 4.8.3
> -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
> -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
> -- Detecting C compiler ABI info
> -- Detecting C compiler ABI info - done
> -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
> -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
> -- Detecting CXX compiler ABI info
> -- Detecting CXX compiler ABI info - done
> -- QGIS version: 2.8.0 Wien (20800)
> -- Looking for openpty
> -- Looking for openpty - not found
> -- Looking for openpty
> -- Looking for openpty - found
> -- Found Proj: /usr/lib64/libproj.so
> -- Found GEOS: /usr/lib64/libgeos_c.so (3.4.1)
> -- Found GDAL: /usr/lib64/libgdal.so (1.10.1)
> -- Found Expat: /usr/lib64/libexpat.so
> -- Found Spatialindex: /usr/lib64/libspatialindex.so
> -- Found Qwt: /usr/lib64/libqwt.so (5.2.3)
> -- Found Sqlite3: /usr/lib64/libsqlite3.so
> CMake Error at cmake/FindSPATIALITE.cmake:77 (MESSAGE):
>   Could not find SpatiaLite
> Call Stack (most recent call first):
>   CMakeLists.txt:200 (FIND_PACKAGE)

Now if USE=spatialite qgis is built with internal spatialite support. Maybe always disable internal spatialite bulld independently from USE=spatialite? I do not know supported this upstream or not.
Comment 103 Egor Y. Egorov 2015-02-25 08:04:10 UTC
In my case 
USE="python -examples -grass -gsl -mapserver -postgres -spatialite" emerge -av1 =qgis-2.6.0 
built fine but 
USE="python -examples -grass -gsl -mapserver -postgres -spatialite" emerge -av1 =qgis-2.8.0 
not. 
This is look like upstream issue. Please report upstream.
Comment 104 Milos Popovic 2015-03-19 17:45:14 UTC
2.8.1 released. I had some problem with rasters in 2.8.0.
Comment 105 Egor Y. Egorov 2015-03-20 11:42:09 UTC
https://github.com/rion-overlay/rion-overlay/commit/cb9ce729623dab2e5abb078b1c19fd4109c9a363

p.s. rion-overlay now in github
Please make
Comment 106 Egor Y. Egorov 2015-03-20 11:44:31 UTC
(In reply to Egor Y. Egorov from comment #105)
> https://github.com/rion-overlay/rion-overlay/commit/
> cb9ce729623dab2e5abb078b1c19fd4109c9a363
> 
> p.s. rion-overlay now in github
> Please make

*Please run
layman -d rion && layman -a rion
Comment 107 Tomáš Chaloupka 2015-03-26 11:47:39 UTC
Have problem with 2.8.1 ebuild:

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QWT_LIBRARY

Problem is, that I have installed x11-libs/qwt-6.1.2-r1, but for some reason it is not added to cmake args:

cmake --no-warn-unused-cli -C /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DQGIS_MANUAL_SUBDIR=/share/man/ -DBUILD_SHARED_LIBS=ON -DQGIS_LIB_SUBDIR=lib64 -DQGIS_PLUGIN_SUBDIR=lib64/qgis -DWITH_INTERNAL_QWTPOLAR=OFF -DPEDANTIC=OFF -DWITH_APIDOC=OFF -DWITH_POSTGRESQL=OFF -DWITH_GRASS=OFF -DWITH_MAPSERVER=OFF -DWITH_BINDINGS=ON -DBINDINGS_GLOBAL_INSTALL=ON -DWITH_SPATIALITE=ON -DWITH_PYSPATIALITE=ON -DWITH_GSL=ON -DENABLE_TESTS=OFF -DWITH_INTERNAL_SPATIALITE=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/gentoo_toolchain.cmake  /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1

If I install x11-libs/qwt:5 manually, qgis compiles ok, but according to the ebuild:
if has_version '>=x11-libs/qwt-6.1.2' ; then
            mycmakeargs+=(
                "-DQWT_INCLUDE_DIR=/usr/include/qwt6"
                "-DQWT_LIBRARY=/usr/$(get_libdir)/libqwt6-qt4.so"
            )

-DQWT_INCLUDE_DIR and -DQWT_LIBRARY should be added to cmake args, right?
Comment 108 Egor Y. Egorov 2015-03-26 11:56:21 UTC
If <x11-libs/qwtpolar-1 and x11-libs/qwt:5 are not installed in your system, then
no need to specify -DQWT_INCLUDE_DIR and -DQWT_LIBRARY

Please, show full build.log
Comment 109 Tomáš Chaloupka 2015-03-26 12:05:33 UTC
I have installed x11-libs/qwtpolar-1.1.1

 * Package:    sci-geosciences/qgis-2.8.1
 * Repository: rion
 * Maintainer: sci-geosciences@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc examples gsl kernel_linux python python_targets_python2_7 spatialite userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking qgis-2.8.1.tar.bz2 to /var/tmp/portage/sci-geosciences/qgis-2.8.1/work
>>> Unpacking qgis_sample_data.tar.gz to /var/tmp/portage/sci-geosciences/qgis-2.8.1/work
>>> Source unpacked in /var/tmp/portage/sci-geosciences/qgis-2.8.1/work
>>> Preparing source in /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DQGIS_MANUAL_SUBDIR=/share/man/ -DBUILD_SHARED_LIBS=ON -DQGIS_LIB_SUBDIR=lib64 -DQGIS_PLUGIN_SUBDIR=lib64/qgis -DWITH_INTERNAL_QWTPOLAR=OFF -DPEDANTIC=OFF -DWITH_APIDOC=OFF -DWITH_POSTGRESQL=OFF -DWITH_GRASS=OFF -DWITH_MAPSERVER=OFF -DWITH_BINDINGS=ON -DBINDINGS_GLOBAL_INSTALL=ON -DWITH_SPATIALITE=ON -DWITH_PYSPATIALITE=ON -DWITH_GSL=ON -DENABLE_TESTS=OFF -DWITH_INTERNAL_SPATIALITE=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/gentoo_toolchain.cmake  /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 4.8.3
-- The CXX compiler identification is GNU 4.8.3
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- QGIS version: 2.8.1 Wien (20801)
-- Looking for openpty
-- Looking for openpty - not found
-- Looking for openpty
-- Looking for openpty - found
-- Found Proj: /usr/lib64/libproj.so
-- Found GEOS: /usr/lib64/libgeos_c.so (3.4.2)
-- Found GDAL: /usr/lib64/libgdal.so (1.11.1)
-- Found Expat: /usr/lib64/libexpat.so
-- Found Spatialindex: /usr/lib64/libspatialindex.so
-- Found Sqlite3: /usr/lib64/libsqlite3.so
-- Found SpatiaLite: /usr/lib64/libspatialite.so
-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so
-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so - found
-- Looking for gaiaStatisticsInvalidate in /usr/lib64/libspatialite.so
-- Looking for gaiaStatisticsInvalidate in /usr/lib64/libspatialite.so - not found
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found Qt4: /usr/bin/qmake (found suitable version "4.8.6", minimum required is "4.7.0")
-- Found Qt version: 4.8.6
-- Touch support disabled
-- Found QScintilla2: /usr/lib64/qt4/libqscintilla2.so (2.8.4)
-- Found PythonInterp: /var/tmp/portage/sci-geosciences/qgis-2.8.1/temp/python2.7/bin/python (found version "2.7.9")
-- Found Python executable: /var/tmp/portage/sci-geosciences/qgis-2.8.1/temp/python2.7/bin/python
-- Found Python version: 2.7.9
-- Found Python library: /usr/lib64/libpython2.7.so
-- Found SIP version: 4.16.6
-- Found PyQt4 version: 4.11.3
-- Found QScintilla2 PyQt4 module: 2.8.4
-- Found QwtPolar: /usr/lib64/libqwtpolar.so
-- Found GSL: -L/usr/lib64 -lgsl -lgslcblas -lm
-- txt2tags not found - disabled
-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -march=native -O2 -pipe
C++             -march=native -O2 -pipe  -std=c++11
Linker flags:
Executable       -Wl,-O1 -Wl,--as-needed
Module           -Wl,-O1 -Wl,--as-needed
Shared           -Wl,-O1 -Wl,--as-needed

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QWT_LIBRARY
    linked by target "qgis_gui" in directory /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1/src/gui
    linked by target "qgis_app" in directory /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1/src/app
    linked by target "qgis" in directory /var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1/src/app

-- Configuring incomplete, errors occurred!
See also "/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/CMakeFiles/CMakeOutput.log".
See also "/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build/CMakeFiles/CMakeError.log".
 * ERROR: sci-geosciences/qgis-2.8.1::rion failed (configure phase):
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_configure
 *   environment, line 3951:  Called cmake-utils_src_configure
 *   environment, line  906:  Called _execute_optionally 'src_configure'
 *   environment, line  338:  Called enable_cmake-utils_src_configure
 *   environment, line 1226:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of `emerge --info '=sci-geosciences/qgis-2.8.1::rion'`,
 * the complete build log and the output of `emerge -pqv '=sci-geosciences/qgis-2.8.1::rion'`.
 * The complete build log is located at '/var/tmp/portage/sci-geosciences/qgis-2.8.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-geosciences/qgis-2.8.1/temp/environment'.
 * Working directory: '/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1_build'
 * S: '/var/tmp/portage/sci-geosciences/qgis-2.8.1/work/qgis-2.8.1'
Comment 110 Egor Y. Egorov 2015-03-26 12:12:20 UTC
if downgrade x11-libs/qwt to version 6.1.2 (not 6.1.2-r1), this error still exist?
Comment 112 Tomáš Chaloupka 2015-03-26 13:08:50 UTC
I can confirm, that with the latest fix qgis compiles ok for me, thanks.
Comment 113 Michael Hofmann 2015-03-29 15:30:59 UTC
The ebuild for QGIS 2.6.1 from Dave Favis-Mortlock as of 2014-12-12 needs two minor modifications:
1) s/postgresql-base/postgresql/
2) s/qgis-2.4.0-FindPyQt.patch/qgis-2.6.1-FindPyQt.patch/

After applying these two modifications, I could build and run QGIS without problems.
Comment 114 Egor Y. Egorov 2015-03-30 04:38:11 UTC
Is there a need to 2.6.1? Since even relevant 2.8.1, I want to remove the old ebuild.
Comment 115 karpi 2015-08-16 18:01:53 UTC
For qgis 2.10.1 renaming old 2.8.0 ebuild from rions overlay and coment # PATCHES= lines is enough to succeffuull compile for me...
Comment 116 Egor Y. Egorov 2015-08-17 11:41:47 UTC
(In reply to karpi from comment #115)
> For qgis 2.10.1 renaming old 2.8.0 ebuild from rions overlay and coment #
> PATCHES= lines is enough to succeffuull compile for me...

Thanks for testing. In rion now.
https://github.com/rion-overlay/rion-overlay/commit/3d870185e6bc0ea2fc9cde76c717630dd88ef2c3
Comment 117 Oleh 2015-10-06 05:39:22 UTC
attached a working ebuild. It is set to amd64 and x86 KEYWORDS only.
Comment 118 Oleh 2015-10-06 05:39:50 UTC
Created attachment 413862 [details]
ebuild for 2.10.1
Comment 119 Egor Y. Egorov 2015-10-06 05:45:54 UTC
(In reply to Oleg from comment #118)
> Created attachment 413862 [details]
> ebuild for 2.10.1

> KEYWORDS="amd64 x86"
?

Your ebuild is subject for this
https://github.com/rion-overlay/rion-overlay/issues/201

Is a problem with ebuild from rion-overlay?
Comment 120 Oleh 2015-10-07 13:24:18 UTC
i'm unaware of any rion overlays. It is ebuild that is merged in Funtoo Linux, just giving it back
Comment 121 Oleh 2015-10-19 14:25:15 UTC
any progress?
Comment 122 Jean-Claude Repetto 2015-10-30 09:48:35 UTC
QGIS 2.12.0 released : 
http://changelog.qgis.org/qgis/version/2.12.0/
Comment 123 Egor Y. Egorov 2015-11-03 08:22:43 UTC
2.12 in rion-overlay
https://github.com/rion-overlay/rion-overlay/commit/aa2288d1092706af3a0d0900c7c8c811f0548f03

Please test.
Comment 124 Jean-Claude Repetto 2015-11-03 15:58:31 UTC
Hi,

Thanks for the new ebuild in rion overlay.
On my system, it failed in the configuration phase :

CMake Error at cmake/FindQCA.cmake:58 (message):
  Could not find QCA
Comment 125 karpi 2015-11-03 16:20:06 UTC
Compiled ok, thx.
Comment 126 Egor Y. Egorov 2015-11-03 16:56:17 UTC
(In reply to Jean-Claude Repetto from comment #124)
> Hi,
> 
> Thanks for the new ebuild in rion overlay.
> On my system, it failed in the configuration phase :
> 
> CMake Error at cmake/FindQCA.cmake:58 (message):
>   Could not find QCA

Please show build.log.
Comment 127 Egor Y. Egorov 2015-11-03 17:06:24 UTC
(In reply to Jean-Claude Repetto from comment #124)
> Hi,
> 
> Thanks for the new ebuild in rion overlay.
> On my system, it failed in the configuration phase :
> 
> CMake Error at cmake/FindQCA.cmake:58 (message):
>   Could not find QCA

Try install app-crypt/qca first.
Comment 128 Jean-Claude Repetto 2015-11-03 21:48:30 UTC
Works after installation of qca. New dependancy ? If so, should be added to the ebuild.
Comment 129 Jeremy Murphy 2015-11-03 23:47:43 UTC
(In reply to Jean-Claude Repetto from comment #128)
> Works after installation of qca. New dependancy ? If so, should be added to
> the ebuild.

Very likely so: http://www.qgis.org/en/site/forusers/visualchangelog212/index.html#feature-encrypted-password-management
Comment 130 Egor Y. Egorov 2015-11-05 04:09:42 UTC
QGIS-2.12: added missing dependency from app-crypt/qca
https://github.com/rion-overlay/rion-overlay/commit/1b5c349f8baf2231ff4baf0e7dd4add6ecb43094
Comment 131 Martin von Gagern 2015-11-11 11:50:16 UTC
Just fyi: qgis-2.12 from the rion overlay with USE="grass python" has trouble since grass-6 got masked[1] and grass-7 doesn't have a python flag any more. I wonder whether we really need to pass the python flag along here, or whether qgis could work with both grass and python even if grass couldn't work with python. Or perhaps grass-7 has python support as a non-conditional component these days? I certainly see a lot of python files in its package content.

[1] https://gitweb.gentoo.org/repo/gentoo.git/commit/profiles/package.mask?id=abadc2f99095598b6d0a62a56701ed64d3a9d01c
Comment 132 Egor Y. Egorov 2015-11-11 11:53:08 UTC
Just unmask grass-6.
Comment 133 Jeremy Murphy 2015-12-15 05:09:03 UTC
2.12.1 is out, btw.
Comment 134 Egor Y. Egorov 2015-12-15 05:23:51 UTC
(In reply to Jeremy Murphy from comment #133)
> 2.12.1 is out, btw.

https://github.com/rion-overlay/rion-overlay/commit/027e6bbec0bde40892e98024db5c03c8fa2797c3
Comment 135 Milos Popovic 2015-12-16 15:52:33 UTC
QGIS does not install with grass USE flag if GRASS 7.x version is used:

emerge: there are no ebuilds built with USE flags to satisfy ">=sci-geosciences/grass-6.4.0_rc6[python?]".
!!! One of the following packages is required to complete your request:
- sci-geosciences/grass-7.0.1-r4::gentoo (Missing IUSE: python)
(dependency required by "sci-geosciences/qgis-2.12.1::rion" [ebuild])
(dependency required by "qgis" [argument])

Solution:
If GRASS 6.x is installed, ask for python use flag.
If GRASS 7.x is installed, do not ask for python use flag, as it is included.
Comment 136 Egor Y. Egorov 2015-12-16 16:08:32 UTC
I not tested build with grass-7. Is built fine with this?
Comment 137 Milos Popovic 2015-12-16 16:34:41 UTC
Build went fine. I just need to test if it runs fine.
Comment 138 Egor Y. Egorov 2015-12-18 07:42:04 UTC
(In reply to Milos Popovic from comment #137)
> Build went fine. I just need to test if it runs fine.

https://github.com/rion-overlay/rion-overlay/commit/86f1e41725752db24fb434f98df7c63df4e0befb

Please test
Comment 139 Amy Liffey gentoo-dev 2015-12-28 19:59:10 UTC
committer	Amy Winston <amynka@gentoo.org>	2015-12-28 19:53:48 (GMT)
commit	5509c0eecdd713de3c148e0eaae5e2b7e55ee42d

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5509c0eecdd713de3c148e0eaae5e2b7e55ee42d